Bug 6802 - ROSA Desktop Fresh R7 MATE
: ROSA Desktop Fresh R7 MATE
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: i586 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 13:01 MSK by Denis Silakov
Modified: 2017-08-04 18:10 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
ss (261.98 KB, image/png)
2016-03-05 13:49 MSK, Vladimir Potapov
Details
interface (360.69 KB, image/png)
2016-03-05 18:24 MSK, Vladimir Potapov
Details
ss2 (293.55 KB, image/png)
2016-03-05 18:44 MSK, Vladimir Potapov
Details
fixed theme (8.58 KB, application/octet-stream)
2016-03-12 20:59 MSK, Vladimir Potapov
Details
enable compositing and rosa window theme (74.29 KB, text/xml)
2016-03-28 13:20 MSD, Vladimir Potapov
Details
org.mate.marco.gschema.xml (8.10 KB, text/xml)
2016-03-28 13:22 MSD, Vladimir Potapov
Details
ss3 (283.25 KB, image/png)
2016-04-11 09:27 MSD, Vladimir Potapov
Details
Пример файла (8.71 KB, application/zip)
2016-04-26 13:12 MSD, Vladimir Potapov
Details
mate-layout (1.05 KB, application/octet-stream)
2016-05-11 11:34 MSD, Vladimir Potapov
Details
org.mate.panel.gschema.xml (4.42 KB, text/xml)
2016-05-11 11:39 MSD, Vladimir Potapov
Details
ROSA Fonts for MATE (13.34 KB, application/gzip)
2016-06-08 12:49 MSD, Vladimir Potapov
Details
подправленный rosa.layout (1.24 KB, application/octet-stream)
2016-06-16 14:56 MSD, Vladimir Potapov
Details
Мате (166.23 KB, image/png)
2016-06-18 16:10 MSD, Алзим
Details
Росиные настройки для питания (18.45 KB, text/xml)
2016-06-25 09:27 MSD, Vladimir Potapov
Details
правильный индекс от rosa-elementhary -index.theme (317 bytes, application/x-theme)
2016-06-25 12:49 MSD, Vladimir Potapov
Details
Настройки терминала с отключенными горячими клавишами (31.45 KB, text/xml)
2016-06-25 14:11 MSD, Vladimir Potapov
Details
Настройка хранителя экрана (4.80 KB, text/xml)
2016-06-25 18:24 MSD, Vladimir Potapov
Details
исправленный файл темы rosa-elementary (gtk2) чтоб при изменении размера панели все не ползло (1.59 KB, application/octet-stream)
2016-06-29 19:03 MSD, Vladimir Potapov
Details
org.mate.peripherals-touchpad.gschema.xml (2.98 KB, text/xml)
2016-07-20 12:07 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2016-03-04 13:01:41 MSK
Build lists of MATE iso which is often requested by users:

https://abf.rosalinux.ru/platforms/rosa2014.1/products/168/product_build_lists/14579

Not many customization, just our default background and some of our tools in MATE Control Center.
Comment 1 Vladimir Potapov 2016-03-05 11:58:42 MSK
в firefox места под галочки не подсвечены. Ну, как в неисправленной gtk3 под кедами было.
Comment 2 Vladimir Potapov 2016-03-05 12:05:23 MSK
jp2 (jpeg2000) не подцеплен "к глаз мате" atrl, + его версия древнючая.
Comment 3 Vladimir Potapov 2016-03-05 12:06:32 MSK
Thunderbird в лайве запускается аглицкий.
Comment 4 Vladimir Potapov 2016-03-05 12:10:37 MSK
ponoff не запускается, требует xroot. Оно вообще нужно?
Comment 5 Vladimir Potapov 2016-03-05 12:11:46 MSK
(In reply to comment #4)
> ponoff не запускается, требует xroot. Оно вообще нужно?
vpnpptp то же - требует что-нибудь чтоб запуститься под рутом.
Comment 6 Vladimir Potapov 2016-03-05 12:16:22 MSK
Qlipper не русифицирован. И, по идее, он должен быть в автозагрузке
Comment 7 Vladimir Potapov 2016-03-05 12:42:24 MSK
mate-calc отсутствует
Comment 8 Vladimir Potapov 2016-03-05 13:47:59 MSK
(In reply to comment #7)
> mate-calc отсутствует
стоит gnome-calculator с ужасным видом. Нужно заменить на матешный.
Comment 9 Vladimir Potapov 2016-03-05 13:49:09 MSK
Created attachment 4409 [details]
ss

не русифицирован displays
Comment 10 Vladimir Potapov 2016-03-05 13:50:46 MSK
В меню bluetooth оригинальный перевод:
"Сделать обнаруЖАемым"
обычно все ж "Сделать видимым"
Comment 11 Denis Silakov 2016-03-05 13:51:58 MSK
(In reply to comment #8)
> (In reply to comment #7)
> > mate-calc отсутствует
> стоит gnome-calculator с ужасным видом. Нужно заменить на матешный.

Походу это gcalctool. Поменяю, да. Немного смущает то, что mate-calc давно не обновлялся и стоит на версии 1.8.0. Но если работает, то и ладно.
Comment 12 Denis Silakov 2016-03-05 13:54:29 MSK
(In reply to comment #6)
> Qlipper не русифицирован. И, по идее, он должен быть в автозагрузке


Он вообще случайно от lxqt остался. Надо посмотреть, есть ли что-то более подходящее для matе, если родного нету.
Comment 13 Vladimir Potapov 2016-03-05 13:55:52 MSK
Надо что-то с темой сделать. Тему иконок очень хочется росиную все же. И общую тему надо менять (благо, дефолтовая все равно не рабочая для gtk3). Я поищу еще оформление.
Comment 14 Denis Silakov 2016-03-05 14:05:50 MSK
(In reply to comment #2)
> jp2 (jpeg2000) не подцеплен "к глаз мате" atrl, + его версия древнючая.

jp2 добавлю, а чья версия древняя? eom? 1.12.0, как у всего остального нашего mate. Можно бы обновить до 1.13.x, но это надо весь mate обновлять. А это надолго, я бы его заодно с gtk3 пересобрал. Поэтому я думал 1.14  подождать уже.
Comment 15 Denis Silakov 2016-03-05 14:08:04 MSK
(In reply to comment #13)
> Надо что-то с темой сделать. Тему иконок очень хочется росиную все же. И
> общую тему надо менять (благо, дефолтовая все равно не рабочая для gtk3). Я
> поищу еще оформление.

Ну если скажешь, что куда воткнуть - воткну.

Но тут может ситуация изменится, когда mate с gtk3 пересоберем. Там что-то было насчет тем gtk3, толкьо у нас gtk3 был слишком старый, когда я это смотрел.
Comment 16 Denis Silakov 2016-03-05 14:20:48 MSK
(In reply to comment #4)
> ponoff не запускается, требует xroot. Оно вообще нужно?

ponoff и vpnpptp-allde мы выкинyли из kde довольно давно - решили, что NM уже сам с таким справляется. Так что из mate я их тоже уберу. Но gksu добавлю, все равно может пригодится.
Comment 17 Denis Silakov 2016-03-05 15:28:32 MSK
(In reply to comment #12)
> (In reply to comment #6)
> > Qlipper не русифицирован. И, по идее, он должен быть в автозагрузке
> 
> 
> Он вообще случайно от lxqt остался. Надо посмотреть, есть ли что-то более
> подходящее для matе, если родного нету.

Заменил на parcellite. Проверенная штука.
Comment 18 Denis Silakov 2016-03-05 15:39:09 MSK
(In reply to comment #9)
> Created attachment 4409 [details]
> ss
> 
> не русифицирован displays

Поправил.
Comment 19 Denis Silakov 2016-03-05 15:41:28 MSK
Насчет тем - может, с /etc/gtk-3.0/settings.ini поиграться? Они приходят непосредственно с исошки, можем править в свое удовольствие.
Comment 20 Denis Silakov 2016-03-05 16:13:37 MSK
(In reply to comment #10)
> В меню bluetooth оригинальный перевод:
> "Сделать обнаруЖАемым"
> обычно все ж "Сделать видимым"

поправил
Comment 21 Vladimir Potapov 2016-03-05 18:24:43 MSK
Created attachment 4410 [details]
interface

По сравнению с минтом не переведен Interface
Comment 22 Vladimir Potapov 2016-03-05 18:44:42 MSK
Created attachment 4411 [details]
ss2

Еще interface
Comment 23 Denis Silakov 2016-03-05 23:47:13 MSK
Обновил mate-control-center до 1.12.1, там исправили проблемы с локализацией. Заодно eom до 1.12.2 обновил.
Comment 24 Denis Silakov 2016-03-07 16:13:50 MSK
Последние сборки:

https://abf.rosalinux.ru/platforms/rosa2014.1/products/168/product_build_lists/14618

Обновил еще несколько компонентов до последних версий в линейке 1.12, там обычно только исправления проблем. Thunderbird теперь должен быть с локализацией. Вообще все проблемы, кроме тем, должны быть исправлены.
Comment 25 Vladimir Potapov 2016-03-09 16:37:24 MSK
а на ldm не переводил?
Comment 26 Denis Silakov 2016-03-09 17:24:50 MSK
(In reply to comment #25)
> а на ldm не переводил?

Нет, я его даже не смотрел. Не уверен, что его без допилов воткнуть получится, мы же им никогда не занимались. Для начала можно просто попробовать поставить его в готовую систему и посмотреть - заработает ли.
Comment 27 Vladimir Potapov 2016-03-10 20:30:27 MSK
(In reply to comment #26)
> (In reply to comment #25)
> > а на ldm не переводил?
> 
> Нет, я его даже не смотрел. Не уверен, что его без допилов воткнуть
> получится, мы же им никогда не занимались. Для начала можно просто
> попробовать поставить его в готовую систему и посмотреть - заработает ли.
а как мате на него настроить? Я смотрел в магее, там когда много DE стоит и KDM, и GDM, и ldm и каждый со своей DE работает.
Comment 28 Denis Silakov 2016-03-11 11:28:55 MSK
(In reply to comment #27)
> (In reply to comment #26)
> > (In reply to comment #25)
> > > а на ldm не переводил?
> > 
> > Нет, я его даже не смотрел. Не уверен, что его без допилов воткнуть
> > получится, мы же им никогда не занимались. Для начала можно просто
> > попробовать поставить его в готовую систему и посмотреть - заработает ли.
> а как мате на него настроить? Я смотрел в магее, там когда много DE стоит и
> KDM, и GDM, и ldm и каждый со своей DE работает.

Это надо не mate на него настраивать, а скорее научить ldm видеть сессию mate и других наших DE.

Каждому из DM по большому счету все равно, с какой DE работать. Любой нормальный DM предоставит тебе окошко с выбором сессии - хочешь ли ты KDE, Gnome, Mate, LXQt или еще что. Список для выбора обычно формируется динамически на основе файлов, которые лежат в /usr/share/xsessions/. Эти файлы - обычные desktop-файлы, в которых прописано - какую собственно программу запустить после успешного логина пользователя (startkde, startmate или еще что).

Если ldm после установки не видит mate, то возможно он просто не умеет смотреть в /usr/share/xsessions/. А может наш ldm просто профнепригоден, его же никогда никто нес мотрел по-моему.
Comment 29 AlexeyS 2016-03-12 09:24:40 MSK
при запуске Fresh R7 MATE в Live режиме, не запускается Gparted, не по значку, не через терминал. Не через sudo, не через "su -"
Comment 30 Vladimir Potapov 2016-03-12 20:59:05 MSK
Created attachment 4416 [details]
fixed theme

Посмотрел на SDDM  -а у нас в комплекте есть вполне "росиная" тема maui.
Только чуть подправил ее - пошире текст сделал, чтоб длинные имена влезали.
(см аттач). Ну и в /etc/sddm/conf нужно прописать тему maui вместо circles
Думается, это можно дефолтом сделать и для lxqt - сильно красивее, чем было, хоть и не без глюков.
Comment 31 Denis Silakov 2016-03-12 21:46:36 MSK
Не помню точно, но из-за каких-то глюков мы ее и убрали в свое время. Хотя сейчас новый sddm на qa висит, может там что изменилось.
Comment 32 Vladimir Potapov 2016-03-13 16:01:48 MSK
(In reply to comment #31)
> Не помню точно, но из-за каких-то глюков мы ее и убрали в свое время. Хотя
> сейчас новый sddm на qa висит, может там что изменилось.
Ну там глюк в том, что она картинки пользователей наши не подхватывает - только одну, которая в инсталлере ставится.
Comment 33 Denis Silakov 2016-03-13 16:53:08 MSK
Если только это, то может и ничего. Там по-моему что-то более серьезное было.
Comment 34 Vladimir Potapov 2016-03-13 17:10:44 MSK
(In reply to comment #33)
> Если только это, то может и ничего. Там по-моему что-то более серьезное было.
а kdm патчили для наших картинок?
Comment 35 Denis Silakov 2016-03-13 17:16:36 MSK
А загляни в /etc/sddm.conf и поправь там FacesDir c /usr/share/sddm/faces на /usr/share/faces.
Comment 36 Vladimir Potapov 2016-03-13 18:19:40 MSK
(In reply to comment #35)
> А загляни в /etc/sddm.conf и поправь там FacesDir c /usr/share/sddm/faces на
> /usr/share/faces.
не получается. Там нужно user.face.icon а у нас user.png
Comment 37 Denis Silakov 2016-03-13 18:50:50 MSK
А если переименовать user.png в user.face.icon - заработает?
Comment 38 Vladimir Potapov 2016-03-13 19:07:26 MSK
(In reply to comment #37)
> А если переименовать user.png в user.face.icon - заработает?
да, так работает.
Comment 39 Denis Silakov 2016-03-13 19:25:31 MSK
Ok. Тогда просто подпатчу sddm, чтобы еще и на расширение png смотрел.
Comment 40 Denis Silakov 2016-03-13 19:43:32 MSK
Попробуй вот этот sddm:

https://abf.io/build_lists/2627177
https://abf.io/build_lists/2627178
Comment 41 Vladimir Potapov 2016-03-14 09:14:07 MSK
(In reply to comment #40)
> Попробуй вот этот sddm:
> 
> https://abf.io/build_lists/2627177
> https://abf.io/build_lists/2627178
да, с картинками все нормально - но фикс ширины надписи мой ты туда не включил.
Comment 42 Denis Silakov 2016-03-16 00:18:37 MSK
(In reply to comment #41)
> (In reply to comment #40)
> > Попробуй вот этот sddm:
> > 
> > https://abf.io/build_lists/2627177
> > https://abf.io/build_lists/2627178
> да, с картинками все нормально - но фикс ширины надписи мой ты туда не
> включил.

sddm с поддержкой png и фиксом ширины - see bug 6846.
Comment 43 Denis Silakov 2016-03-26 18:52:23 MSK
Сборки с новым sddm:

https://abf.io/platforms/rosa2014.1/products/168/product_build_lists/14763
Comment 44 Denis Silakov 2016-03-26 18:54:33 MSK
(In reply to comment #29)
> при запуске Fresh R7 MATE в Live режиме, не запускается Gparted, не по
> значку, не через терминал. Не через sudo, не через "su -"

В новых образах нормально запускается.
Comment 45 Vladimir Potapov 2016-03-28 13:16:49 MSD
http://bugs.rosalinux.ru/show_bug.cgi?id=6889
Comment 46 Vladimir Potapov 2016-03-28 13:20:36 MSD
Created attachment 4425 [details]
enable compositing and rosa window theme

to /usr/share/glib-2.0/schemas/
Comment 47 Vladimir Potapov 2016-03-28 13:21:06 MSD
(In reply to comment #46)
> Created attachment 4425 [details]
> enable compositing and rosa window theme
> 
> to /usr/share/glib-2.0/schemas/
org.mate.marco.gschema.xml
Comment 48 Vladimir Potapov 2016-03-28 13:22:30 MSD
Created attachment 4426 [details]
org.mate.marco.gschema.xml

enable rosa icons and color theme
Comment 49 Vladimir Potapov 2016-03-28 13:22:59 MSD
(In reply to comment #48)
> Created attachment 4426 [details]
> org.mate.marco.gschema.xml
> 
> enable rosa icons and color theme
Sorry, org.mate.interface.gschema.xml
Comment 50 Vladimir Potapov 2016-03-28 14:55:02 MSD
Отсутствует аудиоплеер. Предлагаю audacious
Comment 51 Vladimir Potapov 2016-03-28 14:58:17 MSD
Не установлены кодеки. Начиная с R7 мы решили ставить все, task-codecs
Comment 52 Vladimir Potapov 2016-03-28 14:59:28 MSD
Думается, лучше убрать caja-dropbox. Далеко не все используют dropbox, тем более в России.
Comment 53 Vladimir Potapov 2016-03-28 15:04:13 MSD
В центре управления отсутствует userdrake, хотя остальные драки есть.
Comment 54 Vladimir Potapov 2016-03-28 16:28:57 MSD
(In reply to comment #53)
> В центре управления отсутствует userdrake, хотя остальные драки есть.
Еще просили drakclock
Comment 55 Denis Silakov 2016-03-30 12:28:36 MSD
New images:

https://abf.io/platforms/rosa2014.1/products/168/product_build_lists/14786

all comments from 46 to 54 are implemented.
Comment 56 Vladimir Potapov 2016-03-31 13:59:20 MSD
(In reply to comment #55)
> New images:
> 
> https://abf.io/platforms/rosa2014.1/products/168/product_build_lists/14786
> 
> all comments from 46 to 54 are implemented.

запускаю i586 в лайве - интерфейс на аглицком, хотя выбрал русский и он установлен.
Comment 57 Denis Silakov 2016-04-06 17:08:33 MSD
Maybe transient issue? These new builds look fine for me:

https://abf.io/platforms/rosa2014.1/products/168/product_build_lists/14845
Comment 58 Vladimir Potapov 2016-04-10 21:02:53 MSD
Пробовал i586 в VBox
1) Автовхода под live нету, после входа все по-английски
2) audacious не запускается, говорит нет плагина вывода (audacious-plugins)
3) rosa-imagewriter требует пароля в консоли. Мы это ж решали?
4) Программа просмотра журнала скорее не работает, большую часть логов не находит. Лучше ее вообще убрать
5) Главное меню "Переход" по папкам не работает
Comment 59 Denis Silakov 2016-04-10 21:27:54 MSD
Хм. А ты точно те образы пробовал? Скачал сейчас i586 из сборки https://abf.io/platforms/rosa2014.1/products/168/product_build_lists/14845 (http://file-store.rosalinux.ru/api/v1/file_stores/6a0a47e94f0ca2a7665b4bb5668778be488f85c6)

В VBox - автологин есть, русский есть (если его выбрать при старте, конечно). Переход по папкам работает. 

В audacious кто-то когда-то заменил "Requires" на "Suggests" для плагинов чисто чтобы не было циклических зависимостей. Однако поскольку исошки собираются с "--no-suggests", то плагинов там не оказывается, а audacious без них неработоспособен. Вернул сейчас строгую зависимость.

Программу просмотра логов скорее надо править под нашу систему.
Comment 60 Vladimir Potapov 2016-04-11 09:27:33 MSD
Created attachment 4438 [details]
ss3

Образ точо тот, что у тебя. Но автовхода там нет, английский после входа.
Переходы в лайве работают (на английском) а если установить на русском - то нет.
Comment 61 Denis Silakov 2016-04-11 11:24:35 MSD
Не знаю, в чем подвох. Но у меня и с автовходом, и с русским все ok. Что дома, что в офисе.
Comment 62 Vladimir Potapov 2016-04-13 11:22:08 MSD
(In reply to comment #61)
> Не знаю, в чем подвох. Но у меня и с автовходом, и с русским все ok. Что
> дома, что в офисе.

У меня в логах крахи иксов и sddm
http://hw.rosalinux.ru/index.php?probe=634ab1e208
Comment 63 Vladimir Potapov 2016-04-26 13:12:38 MSD
Created attachment 4446 [details]
Пример файла

Менеджер архивов MATE неправильно определяет кодировки некоторых zip-файлов
Comment 64 Denis Silakov 2016-04-26 13:13:51 MSD
(In reply to comment #63)
> Created attachment 4446 [details]
> Пример файла
> 
> Менеджер архивов MATE неправильно определяет кодировки некоторых zip-файлов

предлагаю это отдельным багом оформить, а не в общую кучу. Это никак не стопит образы.
Comment 65 Vladimir Potapov 2016-05-07 19:25:52 MSD
Исправление темы:
/usr/share/themes/rosa-elementary/gtk-2.0/Apps/panel.rc

строку
class "PanelApp*"                              style "elementary-panel"
заменить на
class "*PanelApp*"                             style "elementary-panel"
Comment 66 Denis Silakov 2016-05-10 12:43:42 MSD
(In reply to comment #65)
> Исправление темы:
> /usr/share/themes/rosa-elementary/gtk-2.0/Apps/panel.rc
> 
> строку
> class "PanelApp*"                              style "elementary-panel"
> заменить на
> class "*PanelApp*"                             style "elementary-panel"

http://bugs.rosalinux.ru/show_bug.cgi?id=7028
Comment 67 Vladimir Potapov 2016-05-11 11:31:00 MSD
Очень хочется убрать xlock (пакет xlockmore). Его притащила за собой mate-panel, хотя в минте вполне без нее всё работает.
Comment 68 Vladimir Potapov 2016-05-11 11:34:54 MSD
Created attachment 4451 [details]
mate-layout

"Росиное" расположение менюшек и значков, положить в /usr/share/mate-panel/layouts/
Comment 69 Vladimir Potapov 2016-05-11 11:39:41 MSD
Created attachment 4452 [details]
org.mate.panel.gschema.xml

И включить росиный вид в схеме
Comment 70 Vladimir Potapov 2016-05-11 12:37:53 MSD
Еще хочется добавить shotwell т.к. у глаза мате очень ограничены возможности, даже обрезки фоток нету.
Comment 71 Vladimir Potapov 2016-05-11 19:14:42 MSD
Не регулируется звук кнопками на клавиатуре. Во всех других DE на этом же компе регулировался нормально, остальные доп. кнопки работают (выключение, почта, калькулятор, домашняя страница)
Comment 72 Vladimir Potapov 2016-05-12 19:27:10 MSD
Еще хочется в составе образа видеть transmission и remmina. Они маленькие.
Comment 73 Denis Silakov 2016-05-13 13:04:53 MSD
New ISO:

https://abf.io/platforms/rosa2014.1/products/168/product_build_lists/15122

All suggestions are implemented except xlockmore removal. Out mate-panel is patched to use it instead of xscreensaver. Though maybe it's better to remove this patch and use xscreensaver instead.
Comment 74 Vladimir Potapov 2016-05-16 14:16:09 MSD
С новыми таймзонами вылезли непереведенные строчки в инсталляторе в списке городов и стран.
Comment 75 Vladimir Potapov 2016-05-16 16:57:28 MSD
Не ставится. Пробовал на двух машинах с двумя флэшками и в виртуалке. На реально железе инсталлятор падает, в виртуалке вроде ставится но не запускается.
Comment 76 Vladimir Potapov 2016-05-23 06:10:00 MSD
исправление зипа в mate
http://forum.rosalab.ru/viewtopic.php?f=53&t=7113&p=70361#p70361
Comment 77 Vladimir Potapov 2016-05-28 08:21:37 MSD
Попробовал образ 15153, по-прежнему нерабочий, не запускается даже firefox в live
Comment 78 Vladimir Potapov 2016-06-02 20:25:00 MSD
для починки live нужно
1) установить libgl1 c зависимостями и mesa
2) удалить laptop-mode-tools
3) заменить audacious на deadbeef
Comment 80 Vladimir Potapov 2016-06-08 07:54:56 MSD
(In reply to comment #79)
> New iso:
> https://abf.rosalinux.ru/platforms/rosa2014.1/products/168/
> product_build_lists/15317
Ура! Оно заработало - и в лайве, и ставится!
Comment 81 Vladimir Potapov 2016-06-08 07:56:40 MSD
Хочется удалить gigolo (мате сам умеет все подключать) и grsync (сильно специально)
Comment 83 Vladimir Potapov 2016-06-08 12:49:15 MSD
Created attachment 4470 [details]
ROSA Fonts for MATE
Comment 84 Vladimir Potapov 2016-06-08 13:05:36 MSD
system-config-samba, думается, лишний - там в свойствах папки закладка для быстрого расшаривания. У нас даже в KDE этой проги нету.
Comment 85 Vladimir Potapov 2016-06-08 13:33:24 MSD
В mate-control-center дублировано и лучше удалить mate-drakkeyboard.desktop

в usermode в файлах 
mandriva-userinfo.desktop 
mandriva-userpasswd.desktop
добавить в NotShowIn MATE
Comment 87 Vladimir Potapov 2016-06-16 14:06:48 MSD
В libreoffice-startcenter.desktop добавить
NotShowIn=MATE;
т.к. иконка для него почему-то битая показыается.
Comment 88 Vladimir Potapov 2016-06-16 14:56:18 MSD
Created attachment 4478 [details]
подправленный rosa.layout

Исправлена всплывающая подсказка для caja, добавлен вызов контрольного центра
Comment 89 Vladimir Potapov 2016-06-16 16:19:35 MSD
(In reply to comment #87)
> В libreoffice-startcenter.desktop добавить
> NotShowIn=MATE;
> т.к. иконка для него почему-то битая показыается.

и в файле xlockmore.desktop тоже, чтоб дикий xlock скрыть.
Comment 90 Vladimir Potapov 2016-06-16 17:01:51 MSD
gigolo и grsync так и не убраны.
Comment 91 Denis Silakov 2016-06-18 14:41:58 MSD
New iso:

https://abf.io/platforms/rosa2014.1/products/168/product_build_lists/15398

все подправил, кроме LO. Неохота LO чисто из-за этого пересобирать, тем более что проблема скорее всего с темой иконок.

Вообще все такие мелочи можно уже и обновлениями исправлять, если будут мешаться.
Comment 92 Алзим 2016-06-18 16:10:20 MSD
Created attachment 4482 [details]
Мате

В Live-режиме тема РОСЫ не установлена.
Comment 93 Vladimir Potapov 2016-06-20 06:54:00 MSD
(In reply to comment #91)
> New iso:
> 
> https://abf.io/platforms/rosa2014.1/products/168/product_build_lists/15398
> 
> все подправил, кроме LO. Неохота LO чисто из-за этого пересобирать, тем
> более что проблема скорее всего с темой иконок.
> 
> Вообще все такие мелочи можно уже и обновлениями исправлять, если будут
> мешаться.

LO важен т.к. светится сразу в меню и будет во всех обзорах мелькать. Но скоро все равно пересобирать новую версию, ее и положим в MATE. И будет релиз как LXQT полгода назад - предсборкой для KDE R8.
Comment 94 Andrey Bondrov 2016-06-20 12:09:08 MSD
(In reply to comment #91)
> все подправил, кроме LO. Неохота LO чисто из-за этого пересобирать, тем
> более что проблема скорее всего с темой иконок.

А поправь просто в гите? Пересоберём уже с LO 5.1.3 в ближайшее время.
Comment 95 Vladimir Potapov 2016-06-20 13:15:39 MSD
(In reply to comment #94)

> А поправь просто в гите? Пересоберём уже с LO 5.1.3 в ближайшее время.
5.1.4
Comment 96 Denis Silakov 2016-06-20 16:02:32 MSD
(In reply to comment #94)
> (In reply to comment #91)
> > все подправил, кроме LO. Неохота LO чисто из-за этого пересобирать, тем
> > более что проблема скорее всего с темой иконок.
> 
> А поправь просто в гите? Пересоберём уже с LO 5.1.3 в ближайшее время.

Вкоммитил патчик.
Comment 97 Vladimir Potapov 2016-06-25 09:27:11 MSD
Created attachment 4483 [details]
Росиные настройки для питания
Comment 98 Vladimir Potapov 2016-06-25 12:49:16 MSD
Created attachment 4484 [details]
правильный индекс от rosa-elementhary  -index.theme

Сейчас в теме прописано Rosa-Elementary-Stas, папка этому не соответствует и потому MATE не может сменить тему на rosa-elementary
Comment 99 Vladimir Potapov 2016-06-25 13:47:05 MSD
нужно добавить mate-icon-theme-menta иначе половина предустановленных тем нерабочие
Comment 100 Vladimir Potapov 2016-06-25 14:11:32 MSD
Created attachment 4485 [details]
Настройки терминала с отключенными горячими клавишами

По-умолчанию терминал перехватывает F10 и другие хоткеи, что не дает работать ни в mc и в других текстовоинтерфейсных прогах. Отключено.
Comment 101 Vladimir Potapov 2016-06-25 18:13:15 MSD
Не доделано:
> В mate-control-center дублировано и лучше удалить mate-drakkeyboard.desktop
Comment 102 Vladimir Potapov 2016-06-25 18:24:13 MSD
Created attachment 4486 [details]
Настройка хранителя экрана
Comment 103 Vladimir Potapov 2016-06-27 16:25:51 MSD
текущий Caja не хочет работать по FTP с русскими именами. Минт  - работает, хорошо бы патчи посмотреть.
Comment 104 Vladimir Potapov 2016-06-27 16:26:42 MSD
(In reply to comment #103)
> текущий Caja не хочет работать по FTP с русскими именами. Минт  - работает,
> хорошо бы патчи посмотреть.
Проверка - попытаться открыть LO write файл по ftp с русским именем. FTP cp1251
Comment 105 Vladimir Potapov 2016-06-27 19:42:53 MSD
mp3 файлы открывает с помощью ROMP. Нужно DeadBeef
Comment 106 Denis Silakov 2016-06-28 16:28:45 MSD
Настройки питания, скринсейвера и терминала вкоммитил, mate-icon-theme-menta  добавил, drakkeyboard убрал.
Comment 107 Vladimir Potapov 2016-06-29 19:03:14 MSD
Created attachment 4488 [details]
исправленный файл темы rosa-elementary (gtk2) чтоб при изменении размера панели все не ползло
Comment 108 Vladimir Potapov 2016-06-29 19:05:12 MSD
По мате - исправить тему (index и panel), заменить огнелиса на newmoon и поправить инсталлятор насчет выбороса диска и русификации. И можно выпускать будет.
Comment 109 Vladimir Potapov 2016-07-04 07:37:31 MSD
Если поставить вместо нашего mate-settings-daemon федоровский, то для новых пользователей начинают работать мультимедиа-клавиши. Где-то в этом пакете баг.
Comment 110 Vladimir Potapov 2016-07-04 07:48:04 MSD
(In reply to comment #109)
> Если поставить вместо нашего mate-settings-daemon федоровский, то для новых
> пользователей начинают работать мультимедиа-клавиши. Где-то в этом пакете
> баг.
mate-settings-daemon-1.12.1-1.fc22.i686
рабочий
Comment 111 Vladimir Potapov 2016-07-05 16:36:41 MSD
Для замены на панели firefox на newmoon
в файле /usr/share/mate-panel/layouts/rosa.layout
firefox.desktop заменить на newmoon.desktop
Comment 112 Andrey Bondrov 2016-07-05 19:24:39 MSD
Advisory: "Fix GTK2 panel config and index file for Rosa Elementary theme"

https://abf.rosalinux.ru/build_lists/2684999
https://abf.rosalinux.ru/build_lists/2685000
Comment 113 Vladimir Potapov 2016-07-05 21:32:21 MSD
(In reply to comment #112)
> Advisory: "Fix GTK2 panel config and index file for Rosa Elementary theme"
> 
> https://abf.rosalinux.ru/build_lists/2684999
> https://abf.rosalinux.ru/build_lists/2685000

**********************************************
QA Verified
Comment 114 Vladimir Potapov 2016-07-18 09:35:56 MSD
Про task-mate-minimal: Нужно
1) Добавить newmoon а то пустое место на панели
2) Добавить parcellite
3) Добавить blueman 


В task-mate
1) Добавить deadbeef vorbis-tools 
2) Добавить remmina, remmina-plugins-rdp, remmina-plugins-vnc
3) Добавить transmission
4) Добавить gparted
Comment 115 Vladimir Potapov 2016-07-18 10:42:00 MSD
(In reply to comment #114)
> Про task-mate-minimal: Нужно
> 1) Добавить newmoon а то пустое место на панели
> 2) Добавить parcellite
> 3) Добавить blueman 
4) добавить libgnomesu
Comment 116 Vladimir Potapov 2016-07-20 07:54:11 MSD
в grub в верхней строчке R7 написано, а в самом меню уже R8
Comment 117 Vladimir Potapov 2016-07-20 12:07:18 MSD
Created attachment 4513 [details]
org.mate.peripherals-touchpad.gschema.xml
Comment 118 Vladimir Potapov 2016-07-20 16:09:38 MSD
(In reply to comment #117)
> Created attachment 4513 [details]
> org.mate.peripherals-touchpad.gschema.xml
/usr/share/glib-2.0/schemas/
Comment 119 Denis Silakov 2016-07-21 13:06:48 MSD
(In reply to comment #117)
> Created attachment 4513 [details]
> org.mate.peripherals-touchpad.gschema.xml

Добавил.
Comment 120 Vladimir Potapov 2016-07-22 12:12:42 MSD
ROSA.FRESH.MATE.R8.15695.b.x86_64.uefi
ROSA.FRESH.MATE.R8.15695.b.i586
ROSA.FRESH.MATE.R8.15696.b.i586.uefi
ROSA.FRESH.MATE.R8.15696.b.x86_64
******************************************
QA Verified